#include "Main.h"
#include "avansvisionlib20.h"
#include "NeuralNetwork.h"
#include "Calibrate.h"

int main(int argc, char *argv[])
{
	startCalibrate();

	Mat in, out;

	// input of trainingset (without bias)
	// remark: nummber of columns == number of inputneurons of the BPN
	in = (Mat_<double>(8, 2) <<
		0, 0,
		0, 0,
		0, 1,
		0, 1,
		1, 0,
		1, 0,
		1, 1,
		1, 1);

	// output of trainingset
	// remark: nummber of columns == number of outputneurons of the BPN
	out = (Mat_<double>(8, 1) <<
		0,
		0,
		1,
		1,
		1,
		1,
		0,
		0);

	run(in, out);

	cout << "Press enter to exit" << endl;
	cin.ignore();


	return 0;
}

